Subject: Re: [bug-diffutils] bug#77840: Testing diffutils 3.12 on PPC Mac OS X 10.4.11, Tiger, produces so many failures

From: Paul Eggert <[email-masked]>
Date: Tue, 20 May 2025 09:53:02 -0700

On 2025-05-20 09:41, Peter Dyballa wrote:
> OK, here is the test with exactly the diff executable built some hours ago:

So 'make check' fails, but we cannot reproduce the first problem that it 
reports by running the just-built 'diff' by hand.

That suggests a problem in the 'make check' machinery, rather than a 
problem with 'diff' itself. It may be a pain to investigate that. 
Perhaps the problem is that your coreutils is busted; that might explain 
the 'diff' results.

Feel free to look into it further, but from a diffutils point of view 
I'm not sure it's worth the trouble for such an old platform.